Translation

Update source destination (name) for a specific story/language (V1 parity)

PATCH
/api/v2/default-translations/update

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/api/v2/default-translations/update" \  -H "Content-Type: application/json" \  -d '{    "sourceId": 1705,    "storyId": 9,    "languageId": 1  }'
{  "sourceId": 1705,  "sourceName": "B2Core.Shared.UiKit.CodeConfirm.CodeConfirmDialog.Email.Hint",  "categoryId": 1,  "projectTypeId": 1,  "storyId": 274,  "languageId": 1,  "destination": "CRCER",  "destinationType": 0,  "aiTranslatorId": null,  "changerId": 5,  "createdAt": "2025-10-06 15:41:43",  "updatedAt": "2025-10-06 15:41:43",  "deletedAt": null,  "defaultLanguageId": 1,  "defaultDestination": "Scan to Download App IOS"}
Empty
Empty
Empty
Empty
Empty